import React, { useState } from 'react'
import Taro, { Current } from '@tarojs/taro'
import request, { apis } from '@/utils/request'
import Page from '@/layouts'
import { useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function HuoDongDetail () {

  const { user, setUser } = useModel('user')
  const [DataLock, setDataLock] = useState(false)
  const [HasSign, setHasSign] = useState(false)
  const [CurrnetId] = useState(Current.router.params.id) // 当前活动id

  const ToSign = () => {
    if (!DataLock) {
      setDataLock(true)
      request({ ...apis.activitySign, args: { id: CurrnetId } }).then(() => {
        Taro.showToast({ title: '签到成功，积分+1', icon: 'none' })
        setUser({ ...user, points: user.points - 0 > 0 ? user.points - 0 + 1 : 1 })
        setDataLock(false)
        setHasSign(true)
      }).catch((res) => {
        Taro.showToast({ title: res, icon: 'none' })
        setDataLock(false)
      })
    }
  }

  return (
    <Page>
      <view className='HuoDongSign'>
        <image mode='widthFix' src='https://zhiyun-image.oss-cn-shanghai.aliyuncs.com/xiangsong/%E5%BE%AE%E4%BF%A1%E5%9B%BE%E7%89%87_20201218165430-min.jpg'></image>
        <view className={HasSign ? 'SignBtn' : 'SignBtn active'}>
          <view>
            <text className='centerLabel' onClick={ToSign}>{HasSign ? '已签到' : '签到'}</text>
          </view>
        </view>
      </view>
    </Page>
  )
}
